View Issue Details

IDProjectCategoryView StatusLast Update
0003557FreeCADBugpublic2018-08-25 18:52
ReporterplunaxAssigned Tonormandc 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionduplicate 
Product Version0.17 
Target VersionFixed in Version 
Summary0003557: Every time that I try to import a svg plane file, freecad crashes
DescriptionWhen I try to open a svg plane file (from inkscape) freecad crashes
Steps To Reproduce1. Open FreeCAD
2. Press the "create new document" button
3. Press "ctrl+I"
4. Select a svg file
5. Select in the new windows "SVG as geometry"
6. FreeCAD crashes
Additional InformationOS: Ubuntu 17.10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13528 (Git)
Build type: None
Branch: releases/FreeCAD-0-17
Hash: 5c3f7bf8ec51e2c7187789f7edba71a7aa82a88b
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: Spanish/Spain (es_ES)
Tagscrash, import, SVG

Relationships

duplicate of 0003307 closedKunda1 File formats Freecad segfault on SVG import 

Activities

Kunda1

2018-08-14 12:09

administrator   ~0011620

@plunax can you recreate this with 0.18dev ?
https://github.com/FreeCAD/FreeCAD/releases/tag/0.18_pre

plunax

2018-08-14 16:00

reporter   ~0011623

I have done it and I have the same problem, freecad crashe.

OS: Ubuntu 17.10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.14220 (Git) AppImage
Build type: None
Branch: master
Hash: 1d81fd66b84af9ef8330ba1f1f6d1c5d6443f0c4
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: Spanish/Spain (es_ES)

Kunda1

2018-08-23 16:44

administrator   ~0011638

@wmayer care to take a look at this ?

normandc

2018-08-25 18:48

manager   ~0011652

This issue is well-known and relates to a conflicting internal version of expat in the libcoin package for Ubuntu 17.10 and later.

The problem is with packaging of libcoin external library, not with FreeCAD.

Therefore this report should be closed as it can only be fixed by packagers on Debian/Ubuntu.

Workaround: https://forum.freecadweb.org/viewtopic.php?f=3&t=26291&start=10#p228605

BTW Ubuntu 17.10 reached end of life in July. We should not support this version if Canonical (its publisher) no longer supports it.

normandc

2018-08-25 18:49

manager   ~0011653

Once more, this proves reporters should follow the guidelines shown in the big fucking yellow banner at the top!!!!!!!!!!!!!!!

normandc

2018-08-25 18:52

manager   ~0011654

Original issue was closed as non-fixable.

Issue History

Date Modified Username Field Change
2018-08-13 20:25 plunax New Issue
2018-08-13 20:25 plunax Tag Attached: crash
2018-08-13 20:25 plunax Tag Attached: import
2018-08-13 20:25 plunax Tag Attached: SVG
2018-08-14 12:09 Kunda1 Status new => feedback
2018-08-14 12:09 Kunda1 Note Added: 0011620
2018-08-14 16:00 plunax Note Added: 0011623
2018-08-14 16:00 plunax Status feedback => new
2018-08-23 16:44 Kunda1 Note Added: 0011638
2018-08-25 18:48 normandc Note Added: 0011652
2018-08-25 18:49 normandc Note Added: 0011653
2018-08-25 18:51 normandc Relationship added duplicate of 0003307
2018-08-25 18:52 normandc Assigned To => normandc
2018-08-25 18:52 normandc Status new => closed
2018-08-25 18:52 normandc Resolution open => duplicate
2018-08-25 18:52 normandc Note Added: 0011654